<?php

/*

    定数定義

*/

// バージョン
define( 'VERSION', '0.5.2' );


// 操作モード
define( 'OP_NONE', 'none' );
define( 'OP_PREP', 'prep' );
define( 'OP_PLAY', 'play' );
define( 'OP_REC', 'rec' );
define( 'OP_STOP', 'stop' );
define( 'OP_SAVE', 'save' );
define( 'OP_EDIT', 'edit' );
define( 'OP_DEL', 'del' );
define( 'OP_UPDATE', 'update' );
define( 'OP_DO_DEL', 'do_del' );


// ステータス項目
define( 'ID', 0 );
define( 'PID', 1 );
define( 'CHANNEL', 2 );
define( 'STARTTIME', 3 );
define( 'DURATION', 4 );
define( 'OUTDIR', 5 );
define( 'NAMEBASE', 6 );
define( 'UDP', 7 );
define( 'IP', 8 );
define( 'PORT', 9 );
define( 'RESERV', 10 );
define( 'STATUSSIZE', 11 );


// 設定項目
define( 'SET_ID', 0 );
define( 'SET_COMMENT', 1 );
define( 'SET_CHANNEL', 2 );

define( 'SET_YEAR', 3 );
define( 'SET_MONTH', 4 );
define( 'SET_DAY', 5 );
define( 'SET_HOUR', 6 );
define( 'SET_MIN', 7 );

define( 'SET_SUN', 8 );
define( 'SET_MON', 9 );
define( 'SET_TUE', 10 );
define( 'SET_WED', 11 );
define( 'SET_THU', 12 );
define( 'SET_FRI', 13 );
define( 'SET_SAT', 14 );

define( 'SET_DURATION', 15 );
define( 'SET_OUTDIR', 16 );
define( 'SET_NAMEBASE', 17 );
define( 'SET_OVERWRITE', 18 );
define( 'SET_UDP', 19 );
define( 'SET_IP', 20 );
define( 'SET_PORT', 21 );

define( 'SET_ACTIVE', 22 );
define( 'SET_MODE', 23 );
define( 'SET_SLEEPSEC', 24 );
define( 'SET_SUSPEND', 25 );

define( 'SET_ERRCODE', 26 ); 

define( 'SET_RES1', 27 ); // 予備
define( 'SET_RES2', 28 ); 

define( 'SET_SIZE', 29 );


// 予約モード
define( 'MODE_WEEK', 0 );
define( 'MODE_ONCE', 1 );


// エラーコード
define( 'ERR_TIME', 1 );
define( 'ERR_DURATION', 2 );
define( 'ERR_DIR', 4 );
define( 'ERR_NAME', 8 );
define( 'ERR_WEEK', 16 );
define( 'ERR_SLEEP', 32 );
define( 'ERR_IP', 64 );
define( 'ERR_PORT', 128 );
define( 'ERR_MODE', 256 );
define( 'ERR_DATE', 512 );
define( 'ERR_BROKEN', 1024 );
define( 'ERR_DUP', 2048 );


// 予約のチューナへの割り当て情報
define( 'TN_ID', 0 );       // 予約ID
define( 'TN_START_W', 1 );  // 開始時刻( 日曜 0 時からの秒数)
define( 'TN_DURATION', 2 ); // 録画時間

?>
